#include <WorldAvatar/WorldAvatar.hpp>

std::vector<WorldAvatar> worldAvatarList{
    WorldAvatar::Voxelverse,
    WorldAvatar::Blob,
    WorldAvatar::Zype,
    WorldAvatar::Frog,
    WorldAvatar::Kevin,
    WorldAvatar::Saphiro,
    WorldAvatar::Diamond,
    WorldAvatar::Macerator,
};

Material& getWorldAvatarMaterial(WorldAvatar avatar)
{
    switch (avatar)
    {
    case WorldAvatar::Voxelverse:           return Material::voxelverseAvatar;
    case WorldAvatar::Blob:                 return Material::blobAvatar;
    case WorldAvatar::Zype:                 return Material::zypeAvatar;
    case WorldAvatar::Frog:                 return Material::frogAvatar;
    case WorldAvatar::Kevin:                return Material::kevinAvatar;
    case WorldAvatar::Saphiro:              return Material::saphiroAvatar;
    case WorldAvatar::Diamond:              return Material::diamond;
    case WorldAvatar::Macerator:            return Material::maceratorAvatar;
    default:                                return Material::badAvatar;
    }
}